Welcome, Guest!!
follow us on... rss

Author Topic: unable to install on an smf 2.0 forum...  (Read 14485 times)

macgig

  • Newbie
  • *
  • Posts: 8
    • View Profile
unable to install on an smf 2.0 forum...
« on: July 02, 2011, 07:46:16 AM »
instructions on smf's site says to edit this file...

Themes/default/languages/Modifications.english-utf8.php

Problem is, that file don't exist.

does that mean I cant use this mod? sure seems that way... I installed editing the files I do have. then I tried creating a new test account... got an error... in a panic, I undid everything.... should have grabbed a screen shot of the error but did not.

Mike

  • Administrator
  • Sr. Member
  • *****
  • Posts: 300
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #1 on: July 02, 2011, 11:19:09 AM »
I think there may be a minor incompatibility with some boards that already have other mods in place...it may modify the language file and "break" it by inserting the text in the wrong place. A screenshot would be nice if you want to install it again and then uninstall it after taking a screenshot.

You can always do a manual install and just use the "Themes/default/languages/Modifications.english.php" file.


instructions on smf's site says to edit this file...

Themes/default/languages/Modifications.english-utf8.php

Problem is, that file don't exist.

does that mean I cant use this mod? sure seems that way... I installed editing the files I do have. then I tried creating a new test account... got an error... in a panic, I undid everything.... should have grabbed a screen shot of the error but did not.
« Last Edit: July 02, 2011, 11:21:26 AM by Mike »
Please don't PM me for assistance- post your questions in the forum where others can see them.

macgig

  • Newbie
  • *
  • Posts: 8
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #2 on: July 02, 2011, 11:27:13 AM »
which version do I install for smf 2? the one on this site or on the simple machines site? thanks. :)

I have a test forum, id be willing to install and send a screen shot with the error.

macgig

  • Newbie
  • *
  • Posts: 8
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #3 on: July 02, 2011, 11:50:19 AM »
 there are two versions and different install instructions from the txt file included and the instructions of the smf site. little confusing. not sure if I did it right or not. probably just wont bother for now. thanks anyways.

Mike

  • Administrator
  • Sr. Member
  • *****
  • Posts: 300
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #4 on: July 02, 2011, 02:14:30 PM »
I'd use the one on the simple machines site, unless it has a lower version number.

which version do I install for smf 2? the one on this site or on the simple machines site? thanks. :)

I have a test forum, id be willing to install and send a screen shot with the error.
Please don't PM me for assistance- post your questions in the forum where others can see them.

macgig

  • Newbie
  • *
  • Posts: 8
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #5 on: July 03, 2011, 06:55:51 AM »
since updating to smf 2.0, the bots are still on the forum, but they have been unable to make an account. at least so far.  ;D

Mike

  • Administrator
  • Sr. Member
  • *****
  • Posts: 300
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #6 on: July 03, 2011, 07:25:44 AM »
Oh yeah, they'll still be there, they just won't be able to get in. :)

since updating to smf 2.0, the bots are still on the forum, but they have been unable to make an account. at least so far.  ;D
Please don't PM me for assistance- post your questions in the forum where others can see them.

macgig

  • Newbie
  • *
  • Posts: 8
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #7 on: July 06, 2011, 03:46:28 AM »
had one join the other day, Just one since upgrading to SMF 2.0. Im told captcha is useless, bots can get past it.

Im unsure if I installed this mod right... I installed using the package manager in smf... all seems to have worked well.... I put my API key in the BotScout.php file. But in my forum admin area, it's saying this is an older version? I don't know, installing is a bit confusing....

I did not do step 4 in the readme file... I cant find the code. I copy and paste, search for the code, it's not there. ???

 ??? ???

Mike

  • Administrator
  • Sr. Member
  • *****
  • Posts: 300
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #8 on: July 06, 2011, 04:31:41 AM »
had one join the other day, Just one since upgrading to SMF 2.0. Im told captcha is useless, bots can get past it.
It's probably a human,not a bot, but it's hard to tell these days. You'll never be able to stop them all, because some of them are human and some bots won't be listed. There is no 100% guaranteed solution.

I did not do step 4 in the readme file... I cant find the code. I copy and paste, search for the code, it's not there. ???
Not sure which step you're referring to...can you post it here?
Please don't PM me for assistance- post your questions in the forum where others can see them.

macgig

  • Newbie
  • *
  • Posts: 8
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #9 on: July 06, 2011, 04:37:01 AM »
could be a human, I was thinking the same thing... you are right, nothing will work 100% of the time. :)


here is step 4 in the read me file... which I can't do, cause I am unable to find this code to edit in the register.php file


4) Open the file in the Sources directory named "Register.php". Search for this code in the function named "Register2()":


   foreach ($_POST as $key => $value)
   {
      if (!is_array($_POST[$key]))
         $_POST[$key] = str_replace(array("\n", "\r"), '', trim($_POST[$key]));
   }


Directly below this code, add these lines:

   ////////////////////////////////////////////////////
   // BotScout.com "BotBuster" check
   include('/path/to/your/forum/Sources/BotScout.php');
   ////////////////////////////////////////////////////

Change the part that says "/path/to/your/forum/Sources/" so that it goes to the same directory you placed the "BotScout.php" file in under Step 3.


macgig

  • Newbie
  • *
  • Posts: 8
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #10 on: July 06, 2011, 04:40:52 AM »
cant' edit my posts...

since Im unable to do this step, does this mean the mod is not installed?

Mike

  • Administrator
  • Sr. Member
  • *****
  • Posts: 300
    • View Profile
Re: unable to install on an smf 2.0 forum...
« Reply #11 on: July 06, 2011, 05:36:06 AM »
Look for code that's similar and see if you can locate it. If you didn't do all the steps, it's probably not installed correctly.
Please don't PM me for assistance- post your questions in the forum where others can see them.